broken package - Debian

This is a discussion on broken package - Debian ; Greetings, while doing a dist-upgrade on my debian computer (kernel 2.6.15-1-amd64-k8-smp) I got the following message: E: /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb: trying to overwrite `/usr/X11R6/lib/X11/fonts/encodings/encodings.dir', which is also in package xfonts-base tried apt-get -f install to fix the problem but got the same ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: broken package

  1. broken package

    Greetings,
    while doing a dist-upgrade on my debian computer (kernel
    2.6.15-1-amd64-k8-smp) I got the following message:
    E: /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb: trying to
    overwrite `/usr/X11R6/lib/X11/fonts/encodings/encodings.dir', which is
    also in package xfonts-base

    tried apt-get -f install to fix the problem but got the same message.

    any suggestions on how I can fix this error?
    Thanks,
    -Art- (not Art)


  2. Re: broken package

    On Fri, 12 May 2006 10:57:18 -0400, Art2U wrote:

    > E: /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb: trying to
    > overwrite `/usr/X11R6/lib/X11/fonts/encodings/encodings.dir', which is
    > also in package xfonts-base


    Idea 1:
    Look at http://bugs.debian.org/xfonts-encodings and
    http://bugs.debian.org/xfonts-base (doesn't really help in this case,
    just for future reference).

    Idea 2:
    Just aptitude update and try again, problably the problem is
    already fixed.

    Idea 3:
    dpkg --force-overwrite -i /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb

    gregor
    --
    .''`. http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
    : :' : debian: the universal operating system - http://www.debian.org/
    `. `' member of https://www.vibe.at/ | how to reply: http://got.to/quote/
    `- NP: Johnny Cash: One

  3. Re: broken package

    On 2006-05-12, Art2U wrote:
    > Greetings,
    > while doing a dist-upgrade on my debian computer (kernel
    > 2.6.15-1-amd64-k8-smp) I got the following message:
    > E: /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb: trying to
    > overwrite `/usr/X11R6/lib/X11/fonts/encodings/encodings.dir', which is
    > also in package xfonts-base
    >
    > tried apt-get -f install to fix the problem but got the same message.
    >
    > any suggestions on how I can fix this error?


    I have 2.6.16-1-amd64-k8 but, IIRC, it might be your xserver.xorg could
    need upgrading. They have moved the X11 directories and now there's just a
    symlink. If I find the bug report or recall the situation better I'll post
    back and respond to your original message. There was a recent bug report
    that I believe is fixed.

    BTW, if you install apt-listbugs then you will have a little better handle
    on any "breaks" that might occur during any apt-like activities.

    "Lists critical bugs before each apt installation
    apt-listbugs is a tool which retrieves bug reports from the Debian
    Bug Tracking System and lists them. Especially, it is intended to
    be invoked before each upgrade/installation by apt in order to check
    whether the upgrade/installation is safe."

    --
    I just tried to find the bug I'm thinking of...it didn't come up.

  4. Re: broken package

    On 2006-05-12, Art2U wrote:
    > Greetings,
    > while doing a dist-upgrade on my debian computer (kernel
    > 2.6.15-1-amd64-k8-smp) I got the following message:
    > E: /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb: trying to
    > overwrite `/usr/X11R6/lib/X11/fonts/encodings/encodings.dir', which is
    > also in package xfonts-base


    http://bugs.debian.org/cgi-bin/bugre...?bug=366994%3A

    This is the one I was thinking of.
    linux.debian.maint.x is a good newsgroup to read when things like that
    happen.

    >
    > tried apt-get -f install to fix the problem but got the same message.
    >
    > any suggestions on how I can fix this error?
    > Thanks,
    > -Art- (not Art)


    --
    Maybe that's at least close to your problem

  5. Re: broken package

    On Fri, 12 May 2006 10:57:18 -0400, Art2U wrote:

    >Greetings,
    >while doing a dist-upgrade on my debian computer (kernel
    >2.6.15-1-amd64-k8-smp) I got the following message:
    >E: /var/cache/apt/archives/xfonts-encodings_1%3a1.0.0-3_all.deb: trying to
    >overwrite `/usr/X11R6/lib/X11/fonts/encodings/encodings.dir', which is
    >also in package xfonts-base
    >
    >tried apt-get -f install to fix the problem but got the same message.
    >
    >any suggestions on how I can fix this error?
    > Thanks,
    >-Art- (not Art)


    thanks to all you that responded. still working on it.

    thanks again.

    -Art- (not Art)

+ Reply to Thread